function FileData_Pairs(x)
{
x.t("fault","tolerance");
x.t("four","requirements");
x.t("four","criteria");
x.t("example","enhance");
x.t("particularly","difficult");
x.t("supports","ems");
x.t("available","implementing");
x.t("available","primary");
x.t("available","event");
x.t("below","nas");
x.t("hardware","uses");
x.t("hardware","satisfy");
x.t("hardware","options");
x.t("hardware","software");
x.t("hardware","either");
x.t("simultaneously","however");
x.t("simultaneously","software");
x.t("simultaneously","even");
x.t("rather","cfs");
x.t("implement","shared");
x.t("owner","fail");
x.t("files","default");
x.t("files","ems");
x.t("files","changed");
x.t("files","software");
x.t("files","information");
x.t("files","even");
x.t("redelivery","storage");
x.t("failover","backup");
x.t("failover","message");
x.t("failover","protection");
x.t("delivery","mode");
x.t("delivery","during");
x.t("table","always");
x.t("table","shared");
x.t("description","write");
x.t("up-to-date","view");
x.t("persistent","delivery");
x.t("persistent","messages");
x.t("persistent","message");
x.t("persistent","storage");
x.t("always","confirm");
x.t("always","consult");
x.t("once","system");
x.t("queued","previous");
x.t("commonly-sold","hardware");
x.t("commonly-sold","software");
x.t("ensures","exactly");
x.t("course","confirm");
x.t("recommend","implement");
x.t("components","cooperate");
x.t("fault-tolerant","operation");
x.t("fault-tolerant","connections");
x.t("apply","ems");
x.t("locking","ems");
x.t("locking","criterion");
x.t("non_persistent","delivery");
x.t("creates","three");
x.t("transfers","lock");
x.t("uses","nfs");
x.t("cache","dual-port");
x.t("state","recommend");
x.t("state","includes");
x.t("state","messages");
x.t("state","accessible");
x.t("state","tibco");
x.t("state","$sys.failsafe");
x.t("state","information");
x.t("state","shared");
x.t("state","robust");
x.t("state","using");
x.t("state","server");
x.t("support","criteria");
x.t("mode","available");
x.t("mode","stored");
x.t("modified","default");
x.t("categories","information");
x.t("times","primary");
x.t("satisfy","requirement");
x.t("satisfy","write");
x.t("satisfy","remaining");
x.t("satisfy","distributed");
x.t("satisfy","criteria");
x.t("satisfy","criterion");
x.t("time","cfs");
x.t("calls","$sys.meta");
x.t("calls","$sys.nonfailsafe");
x.t("however","cfs");
x.t("tibemsd","server");
x.t("requirement","synchronous");
x.t("lock","determine");
x.t("lock","shared");
x.t("lock","server");
x.t("require","rather");
x.t("definitely","satisfy");
x.t("default","files");
x.t("default","tibemsd");
x.t("default","store");
x.t("default","configuration");
x.t("servers","simultaneously");
x.t("servers","support");
x.t("servers","lock");
x.t("servers","able");
x.t("servers","mount");
x.t("servers","using");
x.t("access","store");
x.t("access","shared");
x.t("includes","three");
x.t("satisfies","four");
x.t("satisfies","criteria");
x.t("clustered","file");
x.t("file","once");
x.t("file","locking");
x.t("file","lock");
x.t("file","parameters");
x.t("file","stores");
x.t("file","data");
x.t("file","information");
x.t("file","system");
x.t("file","duration");
x.t("file","server");
x.t("able","request");
x.t("indicates","following");
x.t("restarts","fails");
x.t("lets","servers");
x.t("lets","two");
x.t("during","failover");
x.t("ems","servers");
x.t("ems","requires");
x.t("ems","locks");
x.t("ems","manages");
x.t("ems","information");
x.t("ems","storage");
x.t("ems","server");
x.t("assign","locks");
x.t("network","attached");
x.t("network","(san)");
x.t("tcp","satisfy");
x.t("fails","restarts");
x.t("fails","restart");
x.t("fails","information");
x.t("queues","topics");
x.t("requires","storage");
x.t("exclusive","lock");
x.t("locks","shared");
x.t("locks","two");
x.t("requirements","vendors");
x.t("guarantee","criteria");
x.t("$sys.meta","store");
x.t("obtain","exclusive");
x.t("vendors","messages");
x.t("vendors","certify");
x.t("vendors","nas");
x.t("stored","available");
x.t("stored","shared");
x.t("settings","fully");
x.t("operation","configured");
x.t("exactly","server");
x.t("customizable","parameters");
x.t("changed","modified");
x.t("guarantees","four");
x.t("guarantees","data");
x.t("synchronous","write");
x.t("synchronous","i/o");
x.t("parameters","apply");
x.t("parameters","stores");
x.t("parameters","tibco");
x.t("parameters","several");
x.t("determine","whether");
x.t("determine","primary");
x.t("area","network");
x.t("restart","primary");
x.t("writes","queued");
x.t("confirm","four");
x.t("write","file");
x.t("write","ownership");
x.t("write","persistence");
x.t("write","data");
x.t("write","order");
x.t("write","call");
x.t("three","categories");
x.t("three","file-based");
x.t("device","storage");
x.t("cfs","satisfy");
x.t("cfs","software");
x.t("cfs","assigns");
x.t("cfs","manages");
x.t("stores.conf","page");
x.t("metadata","stores");
x.t("metadata","message");
x.t("solution","supports");
x.t("solution","assign");
x.t("solution","guarantees");
x.t("solution","write");
x.t("solution","select");
x.t("solution","meets");
x.t("request","obtain");
x.t("store","files");
x.t("store","file");
x.t("store","holds");
x.t("store","shared");
x.t("(cfs)","clustered");
x.t("backup","servers");
x.t("backup","server");
x.t("blocks","shared");
x.t("blocks","order");
x.t("cooperate","guarantee");
x.t("configured","storage");
x.t("disk","efficiency");
x.t("ownership","ems");
x.t("(nas)","scsi");
x.t("options","available");
x.t("options","ems");
x.t("options","cluster");
x.t("options","consider");
x.t("options","shared");
x.t("select","satisfies");
x.t("fail","hardware");
x.t("messages","persistent");
x.t("messages","non_persistent");
x.t("messages","during");
x.t("messages","stored");
x.t("messages","using");
x.t("written","durable");
x.t("stale","cache");
x.t("meets","criteria");
x.t("cluster","server");
x.t("software","satisfy");
x.t("software","ems");
x.t("software","options");
x.t("software","chapter");
x.t("software","generally");
x.t("chapter","fault");
x.t("share","state");
x.t("combination","hardware");
x.t("unique","write");
x.t("whether","solution");
x.t("processes","host");
x.t("processes","run");
x.t("recovery","messages");
x.t("solutions","satisfy");
x.t("solutions","require");
x.t("solutions","write");
x.t("solutions","generally");
x.t("instead","clustered");
x.t("instead","stale");
x.t("stores","store");
x.t("stores","messages");
x.t("stores","fully");
x.t("stores","configuration");
x.t("implementing","shared");
x.t("verify","nfs");
x.t("accessible","primary");
x.t("ascertain","storage");
x.t("client","connections");
x.t("client","server");
x.t("primary","backup");
x.t("primary","starts");
x.t("primary","server");
x.t("consult","operating");
x.t("consult","shared");
x.t("consult","nas");
x.t("return","synchronous");
x.t("clustering","software");
x.t("conclusions","nfs");
x.t("assigns","lock");
x.t("fully","customizable");
x.t("fully","described");
x.t("tibco","software");
x.t("message","redelivery");
x.t("message","delivery");
x.t("message","data");
x.t("operating","system");
x.t("persistence","upon");
x.t("persistence","criteria");
x.t("pending","writes");
x.t("previous","owner");
x.t("enhance","disk");
x.t("upon","return");
x.t("event","primary");
x.t("re-reads","shared");
x.t("consider","examples");
x.t("dual-port","scsi");
x.t("failure","messages");
x.t("$sys.failsafe","store");
x.t("configuration","file");
x.t("configuration","settings");
x.t("configuration","parameters");
x.t("tolerance","shared");
x.t("tolerance","criterion");
x.t("efficiency","satisfy");
x.t("running","times");
x.t("several","options");
x.t("several","configuration");
x.t("san","hardware");
x.t("san","solutions");
x.t("san","dual-port");
x.t("holds","persistent");
x.t("holds","state");
x.t("connections","metadata");
x.t("connections","primary");
x.t("process","time");
x.t("process","file");
x.t("process","write");
x.t("process","running");
x.t("process","information");
x.t("nfs","definitely");
x.t("nfs","file");
x.t("nfs","tcp");
x.t("nfs","client");
x.t("nfs","nfs");
x.t("nfs","nas");
x.t("nfs","server");
x.t("computer","satisfies");
x.t("view","file");
x.t("subscribers","fault-tolerant");
x.t("manages","access");
x.t("manages","operating");
x.t("manages","shared");
x.t("research","indicates");
x.t("page","237");
x.t("information","files");
x.t("information","persistent");
x.t("information","ems");
x.t("information","recovery");
x.t("information","implementing");
x.t("information","storage");
x.t("information","durable");
x.t("data","queues");
x.t("data","blocks");
x.t("data","backup");
x.t("data","written");
x.t("data","buffer");
x.t("attached","storage");
x.t("host","computer");
x.t("host","computers");
x.t("certify","components");
x.t("shared","state");
x.t("shared","file");
x.t("shared","store");
x.t("shared","storage");
x.t("robust","failover");
x.t("protection","primary");
x.t("examples","commonly-sold");
x.t("asynchronous","i/o");
x.t("prevent","two");
x.t("described","stores.conf");
x.t("topics","client");
x.t("two","servers");
x.t("two","ems");
x.t("two","criteria");
x.t("nas","hardware");
x.t("nas","satisfies");
x.t("nas","solutions");
x.t("nas","nfs");
x.t("nas","nas");
x.t("nas","vendor");
x.t("(san)","network");
x.t("monitors","ems");
x.t("mount","shared");
x.t("order","example");
x.t("order","synchronous");
x.t("order","storage");
x.t("order","occur");
x.t("call","storage");
x.t("file-based","stores");
x.t("237","prevent");
x.t("storage","files");
x.t("storage","file");
x.t("storage","parameters");
x.t("storage","area");
x.t("storage","solution");
x.t("storage","(nas)");
x.t("storage","dual-port");
x.t("storage","order");
x.t("storage","storage");
x.t("storage","using");
x.t("storage","vendor");
x.t("storage","criteria");
x.t("storage","distributed");
x.t("storage","devices");
x.t("system","particularly");
x.t("system","simultaneously");
x.t("system","transfers");
x.t("system","lets");
x.t("system","(cfs)");
x.t("system","instead");
x.t("system","caching");
x.t("system","vendor");
x.t("following","conclusions");
x.t("starts","backup");
x.t("run","simultaneously");
x.t("caching","file");
x.t("either","cfs");
x.t("using","synchronous");
x.t("using","store");
x.t("using","combination");
x.t("using","shared");
x.t("using","asynchronous");
x.t("vendor","verify");
x.t("vendor","ascertain");
x.t("vendor","operating");
x.t("scsi","device");
x.t("scsi","san");
x.t("remaining","two");
x.t("difficult","determine");
x.t("duration","server");
x.t("criteria","fault");
x.t("criteria","table");
x.t("criteria","always");
x.t("criteria","vendors");
x.t("criteria","confirm");
x.t("criteria","clustering");
x.t("criteria","consult");
x.t("criteria","several");
x.t("criteria","nfs");
x.t("criteria","research");
x.t("criteria","shared");
x.t("criterion","below");
x.t("criterion","description");
x.t("criterion","cfs");
x.t("criterion","nas");
x.t("distributed","file");
x.t("(cs)","cluster");
x.t("i/o","calls");
x.t("restricts","access");
x.t("occur","data");
x.t("buffer","solutions");
x.t("computers","ensures");
x.t("even","fault-tolerant");
x.t("even","lets");
x.t("server","up-to-date");
x.t("server","creates");
x.t("server","state");
x.t("server","fails");
x.t("server","metadata");
x.t("server","backup");
x.t("server","share");
x.t("server","unique");
x.t("server","processes");
x.t("server","instead");
x.t("server","pending");
x.t("server","re-reads");
x.t("server","failure");
x.t("server","process");
x.t("server","host");
x.t("server","nas");
x.t("server","monitors");
x.t("server","(cs)");
x.t("server","restricts");
x.t("devices","shared");
x.t("durable","persistent");
x.t("durable","subscribers");
x.t("generally","course");
x.t("generally","satisfy");
x.t("$sys.nonfailsafe","file");
}
